Debian Bug report logs - #585343
python-zope.publisher: Python string exceptions no more allowed in Python 2.6

version graph

Package: python-zope.publisher; Maintainer for python-zope.publisher is Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>; Source for python-zope.publisher is src:zope.publisher.

Reported by: Sandro Tosi <morph@debian.org>

Date: Wed, 9 Jun 2010 22:29:37 UTC

Severity: minor

Found in version zope.publisher/3.11.0-1

Fixed in version zope.publisher/3.12.6-1

Done: Arnaud Fontaine <arnau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>:
Bug#585343; Package python-zope.publisher. (Wed, 09 Jun 2010 22:29:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@ravel.debian.org>:
New Bug report received and forwarded. Copy sent to Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>. (Wed, 09 Jun 2010 22:29:40 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@ravel.debian.org>
To: maintonly@bugs.debian.org
Subject: python-zope.publisher: Python string exceptions no more allowed in Python 2.6
Date: Wed, 09 Jun 2010 22:19:39 +0000
Package: python-zope.publisher
Version: 3.11.0-1
Severity: minor
User: debian-python@lists.debian.org
Usertags: python2.6

Hello,
One of the changes brought by Python 2.6 is the removal of string
exceptions, so they won't work in Python 2.6 (just a side note: they
were also buggy before, since they were not guaranteed to work
reliable even in <2.6); as an example:

$ python2.5 -c "raise 'eggs'"
-c:1: DeprecationWarning: raising a string exception is deprecated
Traceback (most recent call last):
  File "<string>", line 1, in <module>
eggs

$ python2.6 -c "raise 'eggs'"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
TypeError: exceptions must be old-style classes or derived from BaseException, not str

Since 2.6 is the planned default version for the upcoming new Debian
stable release, there are chances your package may be affected by this
change.

We are not sure your package is impacted, since the exception raise
can be in a dead or very rare branch of the code, and so simply never
being executed. We would like to leverage your package maintainer
status and the relationship with upstream authors to inspect more
deeply the issue and act accordingly (that includes: making this bug
release critical, closing it as irrelevant, tagging it 'wontfix', or
whatever is appropriate).

Jakub Wilk made the discovery of the problem and kindly prepared a
list [1] of all identified packages (downloaded on 2010-06-09) along
with files & lines that triggered the pattern search.

[1] http://people.debian.org/~morph/strexp/string-exceptions.lintian

This mass-bug filing was announced at 2010-06-06 on [2] (see the
thread and the references there).

[2] http://lists.debian.org/debian-devel/2010/06/msg00097.html

We do not consider the whole situation a stopper for the Python
transition to 2.6, except (of course) for those single bugs where
severity will be increased.

Thanks in advance for your attention,
Sandro on behalf of debian-python




Information forwarded to Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>:
Bug#585343; Package python-zope.publisher. (Thu, 10 Jun 2010 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian Sutherland <brian@vanguardistas.net>:
Extra info received and forwarded to maintainer. Copy sent to Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>. (Thu, 10 Jun 2010 06:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 585343-maintonly@bugs.debian.org (full text, mbox):

From: Brian Sutherland <brian@vanguardistas.net>
To: Sandro Tosi <morph@ravel.debian.org>, 585343-maintonly@bugs.debian.org
Subject: Re: Bug#585343: python-zope.publisher: Python string exceptions no more allowed in Python 2.6
Date: Thu, 10 Jun 2010 08:31:38 +0200
On Wed, Jun 09, 2010 at 10:19:39PM +0000, Sandro Tosi wrote:
> Package: python-zope.publisher
> Version: 3.11.0-1
> Severity: minor
> User: debian-python@lists.debian.org
> Usertags: python2.6

This is indeed an issue with python-zope.publisher. It is quite minor
because the string exceptions are only in test code and thus never used
in production.

I patched this directly upstream, the patch will be released with 3.11.4
or higher.

The patch is:
    https://mail.zope.org/pipermail/checkins/2010-June/047574.html

> 
> Hello,
> One of the changes brought by Python 2.6 is the removal of string
> exceptions, so they won't work in Python 2.6 (just a side note: they
> were also buggy before, since they were not guaranteed to work
> reliable even in <2.6); as an example:
> 
> $ python2.5 -c "raise 'eggs'"
> -c:1: DeprecationWarning: raising a string exception is deprecated
> Traceback (most recent call last):
>   File "<string>", line 1, in <module>
> eggs
> 
> $ python2.6 -c "raise 'eggs'"
> Traceback (most recent call last):
>   File "<string>", line 1, in <module>
> TypeError: exceptions must be old-style classes or derived from BaseException, not str
> 
> Since 2.6 is the planned default version for the upcoming new Debian
> stable release, there are chances your package may be affected by this
> change.
> 
> We are not sure your package is impacted, since the exception raise
> can be in a dead or very rare branch of the code, and so simply never
> being executed. We would like to leverage your package maintainer
> status and the relationship with upstream authors to inspect more
> deeply the issue and act accordingly (that includes: making this bug
> release critical, closing it as irrelevant, tagging it 'wontfix', or
> whatever is appropriate).
> 
> Jakub Wilk made the discovery of the problem and kindly prepared a
> list [1] of all identified packages (downloaded on 2010-06-09) along
> with files & lines that triggered the pattern search.
> 
> [1] http://people.debian.org/~morph/strexp/string-exceptions.lintian
> 
> This mass-bug filing was announced at 2010-06-06 on [2] (see the
> thread and the references there).
> 
> [2] http://lists.debian.org/debian-devel/2010/06/msg00097.html
> 
> We do not consider the whole situation a stopper for the Python
> transition to 2.6, except (of course) for those single bugs where
> severity will be increased.
> 
> Thanks in advance for your attention,
> Sandro on behalf of debian-python
> 
> 
> 
> _______________________________________________
> pkg-zope-developers mailing list
> pkg-zope-developers@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-zope-developers

-- 
Brian Sutherland




Changed Bug submitter to 'Sandro Tosi <morph@debian.org>' from 'Sandro Tosi <morph@ravel.debian.org>' Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Tue, 22 Jun 2010 22:29:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from menesis-guest@users.alioth.debian.org to control@bugs.debian.org. (Tue, 23 Aug 2011 16:54:02 GMT) Full text and rfc822 format available.

Reply sent to Arnaud Fontaine <arnau@debian.org>:
You have taken responsibility. (Tue, 18 Oct 2011 15:21:08 GMT) Full text and rfc822 format available.

Notification sent to Sandro Tosi <morph@debian.org>:
Bug acknowledged by developer. (Tue, 18 Oct 2011 15:21:08 GMT) Full text and rfc822 format available.

Message #19 received at 585343-close@bugs.debian.org (full text, mbox):

From: Arnaud Fontaine <arnau@debian.org>
To: 585343-close@bugs.debian.org
Subject: Bug#585343: fixed in zope.publisher 3.12.6-1
Date: Tue, 18 Oct 2011 15:19:31 +0000
Source: zope.publisher
Source-Version: 3.12.6-1

We believe that the bug you reported is fixed in the latest version of
zope.publisher, which is due to be installed in the Debian FTP archive:

python-zope.publisher_3.12.6-1_all.deb
  to main/z/zope.publisher/python-zope.publisher_3.12.6-1_all.deb
zope.publisher_3.12.6-1.debian.tar.gz
  to main/z/zope.publisher/zope.publisher_3.12.6-1.debian.tar.gz
zope.publisher_3.12.6-1.dsc
  to main/z/zope.publisher/zope.publisher_3.12.6-1.dsc
zope.publisher_3.12.6.orig.tar.gz
  to main/z/zope.publisher/zope.publisher_3.12.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 585343@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arnaud Fontaine <arnau@debian.org> (supplier of updated zope.publisher package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 18 Oct 2011 23:01:16 +0900
Source: zope.publisher
Binary: python-zope.publisher
Architecture: source all
Version: 3.12.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Changed-By: Arnaud Fontaine <arnau@debian.org>
Description: 
 python-zope.publisher - The Zope publisher publishes Python objects on the web
Closes: 585343 617174
Changes: 
 zope.publisher (3.12.6-1) unstable; urgency=low
 .
   * Team upload.
 .
   [ Arnaud Fontaine ]
   * Add debian/clean to get rid of egg-info/* to prevent FTBFS if
     built twice.
   * debian/control: add Homepage and Vcs-Browser fields.
 .
   [ Gediminas Paulauskas ]
   * New upstream release. (Closes: #585343)
   * Use dh_python2 instead of deprecated python-central. (Closes: #617174)
   * debian/copyright: convert to dep5 format.
   * Switch to 3.0 (quilt) source format.
 .
 zope.publisher (3.12.4-0ubuntu1) maverick; urgency=low
 .
   * New upstream release.
Checksums-Sha1: 
 8f07d649416f6718d98e20e8b266cf55ecf22077 1481 zope.publisher_3.12.6-1.dsc
 77d3d642b05326332626c7a57009ccbe66daa8a7 80661 zope.publisher_3.12.6.orig.tar.gz
 5abd464dec187e3b2550ede5f67e38c5b5aa18e9 3121 zope.publisher_3.12.6-1.debian.tar.gz
 28970e83dc80d79bb8b56a26535063bbfcc1dba2 80500 python-zope.publisher_3.12.6-1_all.deb
Checksums-Sha256: 
 8925b3a47b50488d25ac05d694911fe0e791d8135dd2cac2808c65ad7fecc7be 1481 zope.publisher_3.12.6-1.dsc
 d994d8eddfba504841492115032a9a7d86b1713ebc96d0ca16fbc6ee93168ba4 80661 zope.publisher_3.12.6.orig.tar.gz
 ea94588728843c33f8a1045c871a88ac4e13a8261eac57d2bc1399d58ee0db88 3121 zope.publisher_3.12.6-1.debian.tar.gz
 43f93d93af0300e90f5f366324273f952785b487e364dd3a5c2e629c562f7e83 80500 python-zope.publisher_3.12.6-1_all.deb
Files: 
 41119a113659ce7b6a8a902cee446915 1481 zope extra zope.publisher_3.12.6-1.dsc
 495131970cc7cb14de8e517fb3857ade 80661 zope extra zope.publisher_3.12.6.orig.tar.gz
 7a12bacc8acac7543e5c02940af84848 3121 zope extra zope.publisher_3.12.6-1.debian.tar.gz
 e8002e31338d94a758f436526fb3851f 80500 zope extra python-zope.publisher_3.12.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6dkkYACgkQvfKiIF42GdOXLACgo1x/VGDycir/Jnty3H7QY+M3
v78An0pOBcD6w03NToxQsWqOaga5DenT
=wlTQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Nov 2011 07:35:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:27:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.